Bug 189666 - devel/py-demjson: unfetchable due to rerolled tarball
Summary: devel/py-demjson: unfetchable due to rerolled tarball
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-11 15:40 UTC by John Marino
Modified: 2014-05-28 23:30 UTC (History)
0 users

See Also:


Attachments
py-demjson.patch (1.00 KB, patch)
2014-05-27 18:12 UTC, Bartlomiej Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino 2014-05-11 15:40:00 UTC
Fetch fails on DragonFly and FreeBSD: http://portsmon.freebsd.org/portoverview.py?category=devel&portname=py-demjson

It seems tarball was rerolled.

Fix: 

Review changes from old tarball and new one, then regenerate distfile.   Optionally inform upstream of the damage rerolling causes and request they don't do it anymore, but release a uniquely named file instead.

Just respond to this PR rather than submit a fix in a new PR.
Comment 1 Edwin Groothuis freebsd_committer 2014-05-11 15:40:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-05-11 15:40:06 UTC
Maintainer of devel/py-demjson,

Please note that PR ports/189666 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/189666

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-05-11 15:40:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Bartlomiej Rutkowski 2014-05-12 14:17:35 UTC
Wiadomo=C5=9B=C4=87 napisana przez Edwin Groothuis <edwin@FreeBSD.org> w =
dniu 11 maj 2014, o godz. 15:40:

> Maintainer of devel/py-demjson,
>=20
> Please note that PR ports/189666 has just been submitted.
>=20
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>=20
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/189666
>=20
> --=20
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org

Please, use following distinfo to update the port:

SHA256 (demjson-2.0.tar.gz) =3D =
0674e69c4ab6ff7f51cc307c0313933fc0d7349870f14a630e6c1adcd7456313
SIZE (demjson-2.0.tar.gz) =3D 191423

=
http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/py27-demjson/2.0/=


Kind regards,
Bartek Rutkowski=
Comment 5 John Marino freebsd_committer 2014-05-26 09:46:30 UTC
Responsible Changed
From-To: freebsd-python->marino

I'll take it.
Comment 6 freebsd.contact 2014-05-26 09:57:55 UTC
Hi Bartek,

This isn't going to work.  py-demjson has been rerolled *again*.
Here's the checksum as of this morning:
SHA256 (demjson-2.0.tar.gz) =
24f638daa0c28a9d44db2282d46ea3edfd4c7d11a656e38677b741620bf1483d
SIZE (demjson-2.0.tar.gz) = 115914

Did you try contacting upstream?
Now they have rerolled at least twice the same file in a month I think
it's time to tell them that activity really hurts all packagers and they
need to stop.

If they give us the finger, then I suggest either hosting a source file
somewhere else or removing the port.  With the current rate of rerolls,
this s/w is not suitable for ports.

John
Comment 7 Bartlomiej Rutkowski 2014-05-27 18:12:57 UTC
Please, see the patch attached to update the port to 2.0.1 version.

http://pd.valinor.palantiri.org:8080/latest-per-pkg/py27-demjson/2.0.1/

Kind regards,
Bartek Rutkowski
Comment 8 dfilter service freebsd_committer 2014-05-27 18:39:31 UTC
Author: marino
Date: Tue May 27 17:39:26 2014
New Revision: 355545
URL: http://svnweb.freebsd.org/changeset/ports/355545
QAT: https://qat.redports.org/buildarchive/r355545/

Log:
  devel/py-demjson: Upgrade 2.0 => 2.0.1 to unbreak
  
  There were some inadvertent distfile changes of which upstream was not
  aware.  They rolled a new version so this port fetches and builds again.
  
  PR:		ports/189666
  Submitted by:	marino@
  Resolved by:	maintainer (Bartek Rutkowski)

Modified:
  head/devel/py-demjson/Makefile
  head/devel/py-demjson/distinfo

Modified: head/devel/py-demjson/Makefile
==============================================================================
--- head/devel/py-demjson/Makefile	Tue May 27 16:47:31 2014	(r355544)
+++ head/devel/py-demjson/Makefile	Tue May 27 17:39:26 2014	(r355545)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	demjson
-PORTVERSION=	2.0
+PORTVERSION=	2.0.1
 CATEGORIES=	devel python
 MASTER_SITES=	CHEESESHOP \
 		http://deron.meranda.us/python/demjson/dist/

Modified: head/devel/py-demjson/distinfo
==============================================================================
--- head/devel/py-demjson/distinfo	Tue May 27 16:47:31 2014	(r355544)
+++ head/devel/py-demjson/distinfo	Tue May 27 17:39:26 2014	(r355545)
@@ -1,2 +1,2 @@
-SHA256 (demjson-2.0.tar.gz) = 75b54ccb07b2f08f336cc053b358b0fe2e87c50763b45ad5f4791b7d4a3f0976
-SIZE (demjson-2.0.tar.gz) = 189103
+SHA256 (demjson-2.0.1.tar.gz) = 572c755df5aec7ac3fde5535795b8bf71f54e4681196c97a7a97d81916293504
+SIZE (demjson-2.0.1.tar.gz) = 116093
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 John Marino freebsd_committer 2014-05-27 18:41:25 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 10 Mark Linimon 2014-05-28 23:27:02 UTC
----- Forwarded message from BartÅomiej Rutkowski <r@robakdesign.com> -----

Date: Tue, 27 May 2014 19:15:03 +0200
From: BartÅomiej Rutkowski <r@robakdesign.com>
To: marino@FreeBSD.org
Cc: freebsd-python@FreeBSD.org
Subject: Fwd: ports/189666: devel/py-demjson: unfetchable due to rerolled tarball
X-Mailer: Apple Mail (2.1878.2)


Followup submitted. Thank you for your assistance on that issue.

Kind regards,
Bartek Rutkowski

_______________________________________________
freebsd-python@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-python
To unsubscribe, send any mail to "freebsd-python-unsubscribe@freebsd.org"


----- End forwarded message -----